bwr.colors {bio3d} | R Documentation

## Color Palettes

### Description

Create a vector of ‘n’ “contiguous” colors forming either a Blue-White-Red or a White-Gray-Black color palette.

### Usage

    bwr.colors(n)
    mono.colors(n)

### Arguments

`n` | the number of colors in the palette (>=1).

### Details

The function `bwr.colors` returns a vector of `n` color names that range from blue through white to red.

The function `mono.colors` returns color names ranging from white to black. Note: the first element of the returned vector will be NA.

### Value

Returns a character vector, `cv`, of color names. This can be used either to create a user-defined color palette for subsequent graphics with `palette(cv)`, or as a `col=` specification in graphics functions and `par`.

### Author(s)

Barry Grant

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

The `bwr.colors` function is derived from the `gplots` package function `colorpanel` by Gregory R. Warnes.

### See Also

`vmd_colors`, `cm.colors`, `colors`, `palette`, `hsv`, `rgb`, `gray`, `col2rgb`

### Examples

    # Redundant testing excluded

    # Color a distance matrix
    pdb <- read.pdb( system.file("examples/1hel.pdb", package="bio3d") )
    d <- dm(pdb,"calpha")

    plot(d, color.palette=bwr.colors)

    plot(d,
         resnum.1 = pdb$atom[pdb$calpha,"resno"],
         color.palette = mono.colors,
         xlab="Residue Number", ylab="Residue Number")

[Package bio3d version 2.3-4 Index]